### Enumeration

# Gimp MergeType

unstable since: 3.0

#### Declaration

    enum Gimp.MergeType

#### Description [src]

Types of merging layers.

Available since: 3.0

#### Members

`GIMP_EXPAND_AS_NECESSARY`

  Expanded as necessary.

  - Value: `0`
  - Nickname: `expand-as-necessary`
  - Available since: 3.0
`GIMP_CLIP_TO_IMAGE`

  Clipped to image.

  - Value: `1`
  - Nickname: `clip-to-image`
  - Available since: 3.0
`GIMP_CLIP_TO_BOTTOM_LAYER`

  Clipped to bottom layer.

  - Value: `2`
  - Nickname: `clip-to-bottom-layer`
  - Available since: 3.0
`GIMP_FLATTEN_IMAGE`

  Flatten.

  - Value: `3`
  - Nickname: `flatten-image`
  - Available since: 3.0